- block:
  
  - name: create provd log directory
    ansible.builtin.file:
      path: /var/log/xivo-provd
      state: directory

  - name: create provd storage
    ansible.builtin.file:
      path: /var/cache/xivo-provd
      state: directory

  - name: set PROVD_EXTERN_HOST in factory.env
    ansible.builtin.lineinfile:
      path: "{{ globals.factory_env }}"
      regex: "^PROVD_EXTERN_HOST="
      line: "PROVD_EXTERN_HOST={{ main_server }}"
    when: voip_deployment_type == 'extern'

  run_once: yes
  delegate_to: "{{ main_server }}"
